TYPO3 Core - Feature #93854

Add disabled option for allowed aspectratios
2021-04-02 10:54 - Daniel Dorndorf

Status: Closed Start date: 2021-04-02
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Candidate for patchlevel

PHP Version: Complexity:

Tags: Sprint Focus:

Description

It is possible to deactivate crop variants by adding a disabled key to the tca variant array, this should also be possible for the aspect
ratios.

Associated revisions

Revision def9a820 - 2021-05-11 19:56 - Daniel Dorndorf
[BUGFIX] Allow to disable allowed aspect ratios

When overriding aspect ratios via TCA overrides,
one can also now disable allowed aspect ratios in cropVariants.

Resolves: #93854

Releases: master, 10.4

Change-Id: 110f5ac16cebbb6ca776e483c525ee6e4268e5e8d
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
Tested-by: Richard Haeser <richard@richardhaeser.com>
Tested-by: core-ci <typo3@b13.com>

Tested-by: Oliver Bartsch <bo@cedev.de>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Richard Haeser <richard@richardhaeser.com>
Reviewed-by: Oliver Bartsch <bo@cedev.de>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision 69df2514 - 2021-05-11 20:11 - Daniel Dorndorf
[BUGFIX] Allow to disable allowed aspect ratios

When overriding aspect ratios via TCA overrides,
one can also now disable allowed aspect ratios in cropVariants.

Resolves: #93854

Releases: master, 10.4

Change-Id: 110f5ac16cebbb6ca776e483c525ee6e4268e5e8d
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/69122
Tested-by: core-ci <typo3@b13.com>

Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2021-04-02 11:03 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#2 - 2021-04-02 20:03 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#3 - 2021-04-06 15:51 - Gerrit Code Review
Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#4 - 2021-04-27 17:41 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#5 - 2021-04-28 07:20 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#6 - 2021-04-28 14:31 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#7 - 2021-05-04 17:23 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#8 - 2021-05-04 18:36 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#9 - 2021-05-04 18:58 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#10 - 2021-05-11 19:30 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670

#11 - 2021-05-11 19:57 - Gerrit Code Review

Patch set 1 for branch 10.4 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review. .org/c/Pack /TYPO3.CMS/+/69122

#12 - 2021-05-11 20:00 - Daniel Dorndorf
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset def9a820592eb49f1e6e459faa9e5c5e743978¢8.

#13 - 2021-09-07 07:34 - Benni Mack

- Status changed from Resolved to Closed

2021-11-28

22


https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/68670
https://review.typo3.org/c/Packages/TYPO3.CMS/+/69122
https://forge.typo3.org/projects/typo3cms-core/repository/1749/revisions/def9a820592eb49f1e6e459faa9e5c5e743978c8
http://www.tcpdf.org

